| D++ (DPP) C++ Discord API Bot Library

Search
Loading...
Searching...
No Matches
dpp::error_detail Struct Referenceabstract

The details of a field in an error response. More...

`#include <restresults.h>`

Collaboration diagram for dpp::error_detail:
[legend]

## Public Member Functions

| DPP_DEPRECATED ("index is unused and will be removed in a future version") int index=0
| Object field index.

## Public Attributes

std::string | code
| Error code.
std::string | field
| Field name which is in error.
std::string | object
| Object name which is in error.
std::string | reason
| Error reason (full message).

## Detailed Description

The details of a field in an error response.

## Member Function Documentation

## ◆ DPP_DEPRECATED()

dpp::error_detail::DPP_DEPRECATED | ( | "index is unused and will be removed in a future version" |  | ) |

pure virtual

Object field index.

## Member Data Documentation

## ◆ code

std::string dpp::error_detail::code

Error code.

## ◆ field

std::string dpp::error_detail::field

Field name which is in error.

## ◆ object

std::string dpp::error_detail::object

Object name which is in error.

## ◆ reason

std::string dpp::error_detail::reason

Error reason (full message).

D++ Library version 9.0.13 D++ Library version 9.0.12 D++ Library version 9.0.11 D++ Library version 9.0.10 D++ Library version 9.0.9 D++ Library version 9.0.8 D++ Library version 9.0.7 D++ Library version 9.0.6 D++ Library version 9.0.5 D++ Library version 9.0.4 D++ Library version 9.0.3 D++ Library version 9.0.2 D++ Library version 9.0.1 D++ Library version 9.0.0 D++ Library version 1.0.2 D++ Library version 1.0.1 D++ Library version 1.0.0